View Issue Details

IDProjectCategoryView StatusLast Update
0023382mantisbtcustomizationpublic2017-10-08 23:52
ReportercproensaAssigned Tocproensa 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.7.0 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023382: Login logo image not configurable by css
Description

The logo showed at login page, and others, is not enclosed in any meaningful element, to be able to configure styling with css:

<a href="<?php echo config_get( 'logo_url' ) ?>">
    <h1 class="center white">
        <img src="<?php echo helper_mantis_url( config_get( 'logo_image' ) ); ?>">
    </h1>
</a>

Ideally, this should be enclosed in a div that can then be overriden with a custom css, for example, for positioning.

My specific requeriment is to place this logo in the right upper corner, with customized margins.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 54a5adc7

2017-09-24 18:11:53

cproensa


Committer: atrol Details Diff
Style the login logo with a css class

Fixes: 0023382
mod - core/layout_api.php Diff File
mod - css/default.css Diff File
mod - login_page.php Diff File
mod - login_password_page.php Diff File

MantisBT: master f27e93b6

2017-09-26 18:00:07

cproensa

Details Diff
Style logo in login related pages

Apply same style than login page for logo layout in lost-password,
sign-up and verify pages.

Related issue: 0023382
mod - lost_pwd_page.php Diff File
mod - signup.php Diff File
mod - signup_page.php Diff File
mod - verify.php Diff File

Issue History

Date Modified Username Field Change
2017-09-21 07:37 cproensa New Issue
2017-09-26 08:32 atrol Changeset attached => MantisBT master 54a5adc7
2017-09-26 08:32 cproensa Assigned To => cproensa
2017-09-26 08:32 cproensa Status new => resolved
2017-09-26 08:32 cproensa Resolution open => fixed
2017-09-26 08:32 cproensa Fixed in Version => 2.7.0
2017-09-26 08:32 atrol Target Version => 2.7.0
2017-09-27 14:13 cproensa Changeset attached => MantisBT master f27e93b6
2017-10-08 23:52 vboctor Status resolved => closed